> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all orders for the buyer



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/orders
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/orders:
    get:
      tags:
        - Orders
      summary: Lists all orders for the buyer
      parameters:
        - name: created_at_from
          in: query
          required: false
          description: Filter orders created on or after this date (YYYY-MM-DD)
          example: '2024-01-01'
          schema:
            type: string
        - name: created_at_to
          in: query
          required: false
          description: Filter orders created on or before this date (YYYY-MM-DD)
          example: '2024-12-31'
          schema:
            type: string
        - name: order_status[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - quote_selected
                - order_placed
                - order_confirmed
                - in_transit
                - in_warehouse
                - shipped
                - in_port
                - delivered
          description: Filter by order status
      responses:
        '200':
          description: Orders retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    url:
                      type: string
                      example: >-
                        https://app.chemcloud.com.au/buyer/orders/99999a99-b888-777c-666d-55555555555e
                    supplier_profile_id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    buyer_product_approval_id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    price_type:
                      type: string
                      enum:
                        - ex_stock
                        - indent
                        - hot_deal
                        - excess_stock
                        - full_container
                      example: ex_stock
                    quantity:
                      type: number
                      example: 10
                      description: Quantity of packs in the order
                    price_per_uom:
                      type: number
                      example: 100
                      description: Price per unit of measure
                    tax_amount:
                      type: number
                      example: 100
                    tax_percentage:
                      type: number
                      example: 10
                    price_total:
                      type: number
                      example: 1100
                      description: Total price of the order
                    currency:
                      type: string
                      example: AUD
                      description: Currency of the order
                    profile_connection_relationship:
                      type: string
                      nullable: true
                      example: direct
                      description: Relationship between buyer and supplier
                    order_reference:
                      type: string
                      nullable: true
                      example: ORD-001
                      description: ChemCloud user-friendly reference for the order
                    order_status:
                      type: string
                      enum:
                        - quote_selected
                        - order_placed
                        - order_confirmed
                        - in_transit
                        - in_warehouse
                        - shipped
                        - in_port
                        - delivered
                      example: order_placed
                      description: Status of the order
                    purchase_order_reference:
                      type: string
                      nullable: true
                      example: PO-001
                      description: Purchase order reference number
                    purchase_order_line_reference:
                      type: string
                      nullable: true
                      example: '1'
                      description: Purchase order line reference number
                    supplier_order_reference:
                      type: string
                      nullable: true
                      example: SO-001
                      description: Supplier order reference number
                    order_type:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 99999a99-b888-777c-666d-55555555555e
                        type_of:
                          type: string
                          example: spot
                      description: >-
                        Type of order, i.e. whether it is coming locally or from
                        overseas
                    resource_values:
                      type: array
                      items:
                        type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - cin7_core
                              - cin7_omni
                              - myob_acct_right
                              - ostendo
                              - unleashed
                              - fishbowl
                              - advanced_business_manager
                              - wiise
                              - sage_x3
                              - amwin
                              - microsoft_dynamics_ax
                              - tencia
                              - webhook
                              - xero
                              - mrp_easy
                              - zoho
                              - myob_acumatica
                              - microsoft_dynamics_365
                              - tidy_stock
                              - microsoft_dynamics_365_fo
                              - infor
                              - filemaker
                              - approval_max
                            example: cin7_core
                          value:
                            type: string
                            example: 99999a99-b888-777c-666d-55555555555e
                    tracking_type:
                      type: string
                      nullable: true
                      example: delivery
                    additional_data:
                      type: object
                      properties:
                        product:
                          type: object
                          properties:
                            buyer_product_display_name:
                              type: string
                              nullable: true
                              example: Sodium Hydroxide 50%
                        supplier:
                          type: object
                          properties:
                            supplier_name:
                              type: string
                              nullable: true
                              example: Supplier Co
                        buyer_product_approval:
                          type: object
                          properties:
                            name:
                              type: string
                              nullable: true
                              example: Approved Sodium Hydroxide 50%
                            code:
                              type: string
                              nullable: true
                              example: BPA-001
                    placed_at:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
                    delivery_site:
                      type: object
                      nullable: true
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 99999a99-b888-777c-666d-55555555555e
                        site_name:
                          type: string
                          example: Main Warehouse
                        address:
                          type: object
                          properties:
                            street:
                              type: string
                              nullable: true
                              example: 123 Main St
                            city:
                              type: string
                              nullable: true
                              example: Sydney
                            state:
                              type: string
                              nullable: true
                              example: NSW
                            postcode:
                              type: string
                              nullable: true
                              example: '2000'
                            country:
                              type: string
                              nullable: true
                              example: Australia
                            full_address:
                              type: string
                              nullable: true
                              example: 123 Main St, Sydney, NSW, 2000, Australia
                            resource_values:
                              type: array
                              items:
                                type: object
                                properties:
                                  provider:
                                    type: string
                                    enum:
                                      - cin7_core
                                      - cin7_omni
                                      - myob_acct_right
                                      - ostendo
                                      - unleashed
                                      - fishbowl
                                      - advanced_business_manager
                                      - wiise
                                      - sage_x3
                                      - amwin
                                      - microsoft_dynamics_ax
                                      - tencia
                                      - webhook
                                      - xero
                                      - mrp_easy
                                      - zoho
                                      - myob_acumatica
                                      - microsoft_dynamics_365
                                      - tidy_stock
                                      - microsoft_dynamics_365_fo
                                      - infor
                                      - filemaker
                                      - approval_max
                                    example: cin7_core
                                  value:
                                    type: string
                                    example: 99999a99-b888-777c-666d-55555555555e
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````